using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.WB;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 检查类型配置表
    /// </summary>
    [Description("检查类型配置表")]
    public class T_WB_CHECK_TYPE : MesEntityBase
    {
        /// <summary>
        /// 检查类型
        /// </summary>
        [Description("检查类型")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string NAME { get; set; }

        /// <summary>
        /// 检查类型编号
        /// </summary>
        [Description("检查类型编号")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string CODE { get; set; }
    }
}
